M_KILL_PROCS(3P)

NAME
m_kill_procs - kill child processes

SYNOPSIS
C syntax:

#include <parallel/microtask.h>
m_kill_procs();

Pascal syntax

procedure m_kill_procs ;
cexternal ;

FORTRAN syntax

subroutine m_kill_procs

DESCRIPTION
The m_kill_procs routine terminates the child processes created by a previous call to m_fork.

The m_kill_procs routine fails if it is called from a subprogram invoked by an m_fork call.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
The m_kill_procs call fails if the following error condition occurs:

[EINVAL]
    Some child processes are still executing within an m_fork call.

SEE ALSO
m_fork(3P), Guide to Parallel Programming